**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/24.1/authentication/delegated-access/initiate-delegated-session.md

# Initiate Delegated Session



Generate a delegated session ID. This allows you to call Vault API on behalf of a user who granted you delegate access. To find which users have granted you delegate access, [Retrieve Delegations](/vault-api/api-reference/24.1/authentication/delegated-access/retrieve-delegations).

<Endpoint path="/api/{version}/delegation/login" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Authorization` | The `sessionId` of the currently authenticated user who will initiate the delegated session. Cannot be a `delegated_sessionid`. |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `vault_id` | The `id` value of the Vault to initiate the delegated session. |
| `delegator_userid` | The ID of the user who granted the authenticated user delegate access in this Vault. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-d "vault_id=5791" \
-d "delegator_userid=67899" \
https://myvault.veevavault.com/api/v22.3/delegation/login

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "delegated_sessionid": "1C8DBD593EDCEAD647E5E4C97A438F1F43A25C8679BB8431BDC789BC0BAAE76E0DC42D478721624765A2BA2E923852"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns a `delegated_sessionid`. To execute Vault API calls with this delegated session, use this `delegated_sessionid` value as the `Authorization` header value.



---

**Previous:** [Retrieve Delegations](/commercial/vault-api/api-reference/24.1/authentication/delegated-access/retrieve-delegations)  
**Next:** [Domain Information](/commercial/vault-api/api-reference/24.1/domain-information)